### Method

# Foundry DeviceManager find_device

#### Declaration [src]

    FoundryDevice*
    foundry_device_manager_find_device (
      FoundryDeviceManager* self,
      const char* device_id
    )

#### Description [src]

Looks through available devices to find one matching `device_id`.

#### Parameters

`device_id`

  Type: `const char*`

  An identifier matching a `FoundryDevice:id`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryDevice`

A `FoundryDevice` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.